Skip to content

Create company API key

POST
/company/{id}/apikeys
curl --request POST \
--url https://api.colourbox.com/company/1/apikeys \
--header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "Production DAM integration" }'

Create a new API key and secret for the company. Company administrators only.

id
required
integer
Media typeapplication/json
object
name
string
>= 1 characters <= 255 characters

Example

Production DAM integration

The created key

Media typeapplication/json
object
id
integer
key
string
secret
string
companyId
integer
name
string
nullable
active
boolean
createdAt
string format: date-time
nullable
deactivatedAt
string format: date-time
nullable

Example

{
"id": 56,
"companyId": 42
}